/*
 * Copyright (c) 2008, Your Corporation. All Rights Reserved.
 */

package au.net.ocean.maven.plugin.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Whether this parameter is required for the Mojo to function. This is used to validate the configuration for a Mojo before
 * it is injected, and before the Mojo is executed from some half-state.
 * NOTE: Specification of this annotation flags the parameter as required; there is no true/false value.
 *
 * @author <a href="mailto:dave.whitla@ocean.net.au">Dave Whitla</a>
 * @version $Id: Required.java 0 6/04/2008 22:52:25 dwhitla $
 */
@Documented
@Target({ElementType.FIELD, ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface Required {
}
